<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE system [
 <!ENTITY INDEX "0">
]>

<system name="AChS-1 clock">
 <!-- Часы АЧС-1 -->
 <!-- [AChS] -->


 <property>systems/instr/AChS[&INDEX;]/button/stopwatch</property>


 <!--
  I only did the second hand and timer here.
  The hour and minute hands are really better off with FG /sim/time.
 -->


 <channel name="AChS-1" execrate="24">
  <!-- Period: 0.4 с, i.e. tick every 0.2 s. -->

  <switch name="systems/instr/AChS[&INDEX;]/gauge/time-s">
   <default value="simulation/sim-time-sec"/>
  </switch>

  <switch name="systems/instr/AChS[&INDEX;]/status/stopwatch">
   <default value="systems/instr/AChS[&INDEX;]/status/stopwatch"/>
   <test value="systems/instr/AChS[&INDEX;]/status/stopwatch">
    systems/instr/AChS[&INDEX;]/button/stopwatch EQ 0
   </test>
   <!-- Reset -->
   <test value="0">
    systems/instr/AChS[&INDEX;]/status/stopwatch-latch EQ 2
   </test>
   <!-- Run -->
   <test value="1">
    systems/instr/AChS[&INDEX;]/status/stopwatch-latch EQ 0
   </test>
   <!-- Stop -->
   <test value="2">
    systems/instr/AChS[&INDEX;]/status/stopwatch-latch EQ 1
   </test>
  </switch>

  <switch name="systems/instr/AChS[&INDEX;]/status/stopwatch-latch">
   <default value="systems/instr/AChS[&INDEX;]/status/stopwatch"/>
   <test value="systems/instr/AChS[&INDEX;]/status/stopwatch-latch">
    systems/instr/AChS[&INDEX;]/button/stopwatch NE 0
   </test>
  </switch>

  <switch name="systems/instr/AChS[&INDEX;]/start-s">
   <default value="simulation/sim-time-sec"/>
   <test value="systems/instr/AChS[&INDEX;]/start-s">
    systems/instr/AChS[&INDEX;]/status/stopwatch NE 0
   </test>
  </switch>

  <switch name="systems/instr/AChS[&INDEX;]/stop-s">
   <default value="simulation/sim-time-sec"/>
   <test value="systems/instr/AChS[&INDEX;]/stop-s">
    systems/instr/AChS[&INDEX;]/status/stopwatch EQ 2
   </test>
  </switch>

  <summer name="systems/instr/AChS[&INDEX;]/gauge/stopwatch-s">
   <input>systems/instr/AChS[&INDEX;]/stop-s</input>
   <input>-systems/instr/AChS[&INDEX;]/start-s</input>
  </summer>

 </channel>


</system>
